%define	upstream_name	 Convert-UUlib
%define upstream_version 1.8

# Filter the Perl extension module
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Epoch:      2

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-build.patch 

BuildRequires: perl(Canary::Stability)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense) >= 3.740.0
BuildRequires: perl-devel
%description
Convert::UUlib is a Perl interface to the uulib library (a.k.a.
uudeview/uuenview).

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
export PERL_CANARY_STABILITY_NOPROMPT=1
%__perl Makefile.PL INSTALLDIRS=vendor 
%make_build

%install
%make_install

%check
make test

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Convert
%{perl_vendorarch}/Convert
%{_mandir}/*/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 2:1.800.0-8.mga10
+ Revision: 2088013
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 2:1.800.0-7.mga10
+ Revision: 2011556
- Rebuild for perl-5.38
- Rebuild for armv7 (media did not contain latest Glib)

* Tue Nov 28 2023 tv <tv> 2:1.800.0-5.mga10
+ Revision: 2010941
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 2:1.800.0-4.mga9
+ Revision: 1861619
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2:1.800.0-3.mga9
+ Revision: 1795569
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2:1.800.0-2.mga9
+ Revision: 1726459
- Rebuild for perl 5.34

* Fri Dec 18 2020 tv <tv> 2:1.800.0-1.mga8
+ Revision: 1660735
- update to 1.8

* Fri Jun 19 2020 tv <tv> 2:1.710.0-2.mga8
+ Revision: 1596618
- fix build with perl-5.32
+ umeabot <umeabot>
- Rebuild for perl 5.32

* Tue Mar 17 2020 tv <tv> 2:1.710.0-1.mga8
+ Revision: 1557234
- update to 1.71

* Sun Mar 01 2020 tv <tv> 2:1.700.0-1.mga8
+ Revision: 1552498
- update to 1.7

* Wed Feb 19 2020 tv <tv> 2:1.620.0-1.mga8
+ Revision: 1542476
- update to 1.62

* Mon Feb 17 2020 umeabot <umeabot> 2:1.600.0-2.mga8
+ Revision: 1537111
- Mageia 8 Mass Rebuild

* Fri Oct 25 2019 tv <tv> 2:1.600.0-1.mga8
+ Revision: 1455766
- update to 1.6

* Tue Aug 27 2019 tmb <tmb> 2:1.500.0-9.mga8
+ Revision: 1433413
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 2:1.500.0-8.mga7
+ Revision: 1292539
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 2:1.500.0-7.mga7
+ Revision: 1248970
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2:1.500.0-6.mga7
+ Revision: 1163578
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2:1.500.0-5.mga7
+ Revision: 1149583
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2:1.500.0-4.mga7
+ Revision: 1126476
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2:1.500.0-3.mga6
+ Revision: 1024394
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2:1.500.0-2.mga6
+ Revision: 956919
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 2:1.500.0-1.mga6
+ Revision: 853585
- update to 1.5

* Fri Jun 26 2015 sander85 <sander85> 2:1.400.0-10.mga6
+ Revision: 843994
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2:1.400.0-9.mga5
+ Revision: 749532
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2:1.400.0-8.mga5
+ Revision: 732961
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2:1.400.0-7.mga5
+ Revision: 684022
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2:1.400.0-6.mga5
+ Revision: 630944
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2:1.400.0-5.mga4
+ Revision: 524258
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2:1.400.0-4.mga4
+ Revision: 430605
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2:1.400.0-3.mga3
+ Revision: 364822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2:1.400.0-2.mga3
+ Revision: 250382
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 2:1.400.0-1.mga2
+ Revision: 106549
- update to 1.4

* Sat Jun 11 2011 sander85 <sander85> 2:1.340.0-2.mga2
+ Revision: 103758
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2:1.340.0-1.mga1
+ Revision: 29968
- mageia rebuild
- imported package perl-Convert-UUlib


* Fri Dec 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2:1.340.0-1mdv2011.0
+ Revision: 622677
- update to new version 1.34

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2:1.330.0-3mdv2011.0
+ Revision: 564387
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2:1.330.0-2mdv2011.0
+ Revision: 555704
- rebuild

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 2:1.330.0-1mdv2010.1
+ Revision: 460837
- update to 1.33

* Thu Sep 17 2009 Jérôme Quelin <jquelin@mandriva.org> 2:1.320.0-1mdv2010.0
+ Revision: 443879
- update to 1.32

* Sun Aug 30 2009 Jérôme Quelin <jquelin@mandriva.org> 2:1.300.0-1mdv2010.0
+ Revision: 422561
- update to 1.3

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 2:1.120.0-1mdv2010.0
+ Revision: 408943
- rebuild using %%perl_convert_version

* Fri Oct 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2:1.12-1mdv2009.1
+ Revision: 294622
- update to new version 1.12

* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2:1.11-1mdv2009.0
+ Revision: 220137
- update to new version 1.11

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 2:1.09-2mdv2008.1
+ Revision: 151885
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2:1.09-1mdv2008.0
+ Revision: 46615
- update to new version 1.09


* Sun Jan 28 2007 Buchan Milne <bgmilne@mandriva.org> 1.08-1mdv2007.0
+ Revision: 114647
- New version 1.08

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Convert-UUlib

* Thu Dec 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:1.06-1mdk
- 1.06. Bump epoch.
- more docs

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:1.051-1mdk
- 1.051

* Wed Jan 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.04-1mdk
- 1.04
- Update description

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-2mdk
- Rebuild for new perl

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.03-1mdk
- 1.03
- cosmetics

* Sat Feb 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.1-5mdk
- fix DIRM (distlint)
- rebuild

